2c8f4c13e7
* Fri May 07 2004 Dan Walsh <dwalsh@redhat.com> 1.11-2 - Eliminate bind and context mounts * Wed May 05 2004 Dan Walsh <dwalsh@redhat.com> 1.11-1 - update to match NSA * Wed Apr 28 2004 Dan Walsh <dwalsh@redhat.com> 1.10-4 - Log fixfiles to the /tmp directory * Wed Apr 21 2004 Colin Walters <walters@redhat.com> 1.10-3 - Add patch to fall back to authenticating via uid if the current user's SELinux user identity is the default identity - Add BuildRequires pam-devel * Mon Apr 12 2004 Dan Walsh <dwalsh@redhat.com> 1.10-2 - Add man page, thanks to Richard Halley * Thu Apr 08 2004 Dan Walsh <dwalsh@redhat.com> 1.10-1 - Upgrade to latest from NSA * Fri Apr 02 2004 Dan Walsh <dwalsh@redhat.com> 1.9.2-1 - Update with latest from gentoo and NSA * Thu Apr 01 2004 Dan Walsh <dwalsh@redhat.com> 1.9.1-1 - Check return codes in sestatus.c * Mon Mar 29 2004 Dan Walsh <dwalsh@redhat.com> 1.9-19 - Fix sestatus to not double free - Fix sestatus.conf to be unix format * Mon Mar 29 2004 Dan Walsh <dwalsh@redhat.com> 1.9-18 - Warn on setfiles failure to relabel. * Mon Mar 29 2004 Dan Walsh <dwalsh@redhat.com> 1.9-17 - Updated version of sestatus * Mon Mar 29 2004 Dan Walsh <dwalsh@redhat.com> 1.9-16 - Fix fixfiles to checklabel properly * Fri Mar 26 2004 Dan Walsh <dwalsh@redhat.com> 1.9-15 - add sestatus * Thu Mar 25 2004 Dan Walsh <dwalsh@redhat.com> 1.9-14 - Change free call to freecon - Cleanup
30 lines
995 B
Diff
30 lines
995 B
Diff
--- policycoreutils-1.11/scripts/fixfiles.rhat 2004-05-05 09:36:40.000000000 -0400
|
|
+++ policycoreutils-1.11/scripts/fixfiles 2004-05-07 10:41:27.721773064 -0400
|
|
@@ -21,20 +21,22 @@
|
|
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
|
|
|
|
FC=/etc/security/selinux/file_contexts
|
|
+LOGFILE=`mktemp /tmp/fixfiles.XXXXXXXXXX` || exit 1
|
|
+echo "logging to $LOGFILE"
|
|
SETFILES=/usr/sbin/setfiles
|
|
-FILESYSTEMS=`mount | awk '/(ext[23]| xfs).*rw/{print $3}';`
|
|
+FILESYSTEMS=`mount | grep -v "context=" | grep -v bind | awk '/(ext[23]| xfs).*rw/{print $3}';`
|
|
checkLabels () {
|
|
-${SETFILES} -v -n ${FC} ${FILESYSTEMS}
|
|
+${SETFILES} -v -n ${FC} ${FILESYSTEMS} 2>&1 | tee $LOGFILE
|
|
}
|
|
|
|
restoreLabels () {
|
|
-${SETFILES} -v ${FC} ${FILESYSTEMS}
|
|
+${SETFILES} -v ${FC} ${FILESYSTEMS} 2>&1 | tee $LOGFILE
|
|
}
|
|
|
|
relabel() {
|
|
echo "Cleaning out /tmp"
|
|
rm -rf /tmp/.??* /tmp/*
|
|
-${SETFILES} ${FC} ${FILESYSTEMS}
|
|
+${SETFILES} ${FC} ${FILESYSTEMS} 2>&1 | tee $LOGFILE
|
|
}
|
|
|
|
# See how we were called.
|